%define upstream_name    Catalyst-View-GD
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A Catalyst View for GD images
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(GD)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Image::GD)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This is a Catalyst View subclass which can handle rendering GD based image
content. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.10.0-11.mga10
+ Revision: 2213399
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.10.0-10.mga9
+ Revision: 1838372
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-9.mga8
+ Revision: 1493461
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-8.mga7
+ Revision: 1265974
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1023403
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 939841
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 741415
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 509828
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 364129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 42020
- mageia rebuild
- imported package perl-Catalyst-View-GD


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 402990
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-2mdv2009.0
+ Revision: 268396
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 28 2008 Olivier Thauvin <nanardon@mandriva.org> 0.01-1mdv2009.0
+ Revision: 198033
- import perl-Catalyst-View-GD


